Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar30
Class CmpFieldTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar30.CmpFieldTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, CmpFieldType<T>

    public class CmpFieldTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, CmpFieldType<T>

This class implements the `cmp-fieldType` xsd type

Original Documentation:

The cmp-fieldType describes a container-managed field. The
cmp-fieldType contains an optional description of the field,
and the name of the field.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`CmpFieldTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`CmpFieldTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.lang.String` | `getFieldName()` Returns the `field-name` element
`CmpFieldType<T>` | `removeAllDescription()` Removes the `description` element
`CmpFieldType<T>` | `removeFieldName()` Removes the `field-name` element
`CmpFieldType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`CmpFieldType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`CmpFieldType<T>` | `setFieldName(java.lang.String fieldName)` If not already created, a new `field-name` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CmpFieldTypeImpl

    public CmpFieldTypeImpl(T t,
                            java.lang.String nodeName,
                            org.jboss.shrinkwrap.descriptor.spi.Node node)

### CmpFieldTypeImpl

    public CmpFieldTypeImpl(T t,
                            java.lang.String nodeName,
                            org.jboss.shrinkwrap.descriptor.spi.Node node,
                            org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public CmpFieldType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `CmpFieldType<T>`
  Returns:
    the current instance of `CmpFieldType`

### setDescriptionList

    public CmpFieldType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `CmpFieldType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `CmpFieldType`

### removeAllDescription

    public CmpFieldType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `CmpFieldType<T>`
  Returns:
    the current instance of `CmpFieldType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `CmpFieldType<T>`
  Returns:
    list of `description`

### setFieldName

    public CmpFieldType<T> setFieldName(java.lang.String fieldName)

  If not already created, a new `field-name` element with the given value will be created. Otherwise, the existing `field-name` element will be updated with the given value.

  Specified by:
    `setFieldName` in interface `CmpFieldType<T>`
  Returns:
    the current instance of `CmpFieldType`

### removeFieldName

    public CmpFieldType<T> removeFieldName()

  Removes the `field-name` element

  Specified by:
    `removeFieldName` in interface `CmpFieldType<T>`
  Returns:
    the current instance of `CmpFieldType`

### getFieldName

    public java.lang.String getFieldName()

  Returns the `field-name` element

  Specified by:
    `getFieldName` in interface `CmpFieldType<T>`
  Returns:
    the node defined for the element `field-name`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD